Subject: Re: [PATCH net] net: stmmac: enable all safety features by default

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Jan 2023 19:43:48 -0800

On Mon, 16 Jan 2023 13:37:23 -0600 Andrew Halaney wrote:
> I've been working on a newer Qualcomm platform (sa8540p-ride) which has
> a variant of dwmac5 in it. This patch is something Ning stumbled on when
> adding some support for it downstream, and has been in my queue as I try
> and get some support ready for review on list upstream.
> 
> Since it isn't really related to the particular hardware I decided to
> pop it on list now. Please let me know if instead of enabling by default
> (which the original implementation did and is why I went that route) a
> message like "Safety features detected but not enabled in software" is
> preferred and platforms are skipped unless they opt-in for enablement.

Could you repost and CC Wong Vee Khee, and maybe some other Intel folks
who have been touching stmmac recently? They are probably the best to
comment / review.